Skip to content

Get Registry Credentials

GET
/registry/credentials
curl --request GET \
--url https://api.mengi.cloud/registry/credentials

Get the active organization’s registry credentials.

Returns credential metadata without the actual token password.

organization_id
Any of:
string format: uuid

Successful Response

Media typeapplication/json
RegistryCredentialStatus

Simple status response.

object
has_credentials
required
Has Credentials
boolean
credentials
Any of:
RegistryCredentialResponse

Response for registry credential (without password).

object
id
required
Id
string
registry_url
required
Registry Url
string
repository_prefix
required
Repository Prefix
string
username
required
Username
string
docker_login_command
required
Docker Login Command
string
is_active
required
Is Active
boolean
created_at
required
Created At
string format: date-time
expires_at
Any of:
string format: date-time
Examplegenerated
{
"has_credentials": true,
"credentials": {
"id": "example",
"registry_url": "example",
"repository_prefix": "example",
"username": "example",
"docker_login_command": "example",
"is_active": true,
"created_at": "2026-04-15T12:00:00Z",
"expires_at": "2026-04-15T12:00:00Z"
}
}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}